"""
flipping_a_card.pyde
Shows how you can use processing to simulate flipping a card.

Get more information from within Processing, at 
    File > Examples > Basics > Image > LoadDisplayImage
and
    File > Examples > topics > GUI > Button

@author Richard White
@version 2017-01-09
"""


def setup():
    size(800,600)
    global card_width, card_height, img1, img2, showingBack, ulx, uly
    card_width = 110
    card_height = 160
    ulx = 10
    uly = 10
    img1 = loadImage("red_bicycle.png")
    img2 = loadImage("ace_spades.png")
    image(img1, ulx, uly, card_width, card_height)
    showingBack = True
    

def over_card(ulx, uly, card_width, card_height):
    return (ulx <= mouseX <= ulx + card_width) and (uly <= mouseY <= uly + card_height)
        
    
def draw():
    global showingBack
    if mousePressed and over_card:
        if showingBack:
            image(img2, ulx, uly, card_width, card_height)
            showingBack = False
            delay(100)
        else:
            image(img1, ulx, uly, card_width, card_height)
            showingBack = True
            delay(100)
    
    